### Hierarchy

- AdminComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- action
- actions
- dataSource
- displayedColumns
- paginator
- sort

### Methods

- approvalStatus
- approveAction
- disapproveAction
- doFilter
- downloadCsv
- expandCollapse
- ngOnInit

## Constructors

### constructor

- new AdminComponent(userService: UserService, loggingService: LoggingService): AdminComponent

- - Defined in src/app/pages/admin/admin.component.ts:31

  #### Parameters

  - ##### userService: UserService

  - ##### loggingService: LoggingService

  #### Returns AdminComponent

## Properties

### action

action: Action

- Defined in src/app/pages/admin/admin.component.ts:27

### actions

actions: Action[]

- Defined in src/app/pages/admin/admin.component.ts:28

### dataSource

dataSource: MatTableDataSource<any>

- Defined in src/app/pages/admin/admin.component.ts:25

### displayedColumns

displayedColumns: string[] = ...

- Defined in src/app/pages/admin/admin.component.ts:26

### paginator

paginator: MatPaginator

- Defined in src/app/pages/admin/admin.component.ts:30

### sort

sort: MatSort

- Defined in src/app/pages/admin/admin.component.ts:31

## Methods

### approvalStatus

- approvalStatus(status: boolean): string

- - Defined in src/app/pages/admin/admin.component.ts:50

  #### Parameters

  - ##### status: boolean

  #### Returns string

### approveAction

- approveAction(action: any): void

- - Defined in src/app/pages/admin/admin.component.ts:54

  #### Parameters

  - ##### action: any

  #### Returns void

### disapproveAction

- disapproveAction(action: any): void

- - Defined in src/app/pages/admin/admin.component.ts:65

  #### Parameters

  - ##### action: any

  #### Returns void

### doFilter

- doFilter(value: string): void

- - Defined in src/app/pages/admin/admin.component.ts:46

  #### Parameters

  - ##### value: string

  #### Returns void

### downloadCsv

- downloadCsv(): void

- - Defined in src/app/pages/admin/admin.component.ts:80

  #### Returns void

### expandCollapse

- expandCollapse(row: any): void

- - Defined in src/app/pages/admin/admin.component.ts:76

  #### Parameters

  - ##### row: any

  #### Returns void

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/admin/admin.component.ts:35

  #### Returns Promise<void>

Generated using TypeDoc